org.restlet.service

## Class Service

- java.lang.Object
- - org.restlet.service.Service

Direct Known Subclasses:
  ConnectorService, ConverterService, DecoderService, LogService, MetadataService, RangeService, StatusService, TaskService, TunnelService

    public abstract class Service
    extends java.lang.Object

Generic service associated to a component or an application. The life cycle of a service is tightly related to the one of the associated component or application.
If you want to use a specific service, you can always disable it before it is actually started via the `setEnabled(boolean)` method.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Service()` Constructor.
`Service(boolean enabled)` Constructor.

### Method Summary

Methods
`Filter` `createInboundFilter(Context context)` Create the filter that should be invoked for incoming calls.
`Filter` `createOutboundFilter(Context context)` Create the filter that should be invoked for outgoing calls.
`Context` `getContext()` Returns the context.
`boolean` `isEnabled()` Indicates if the service should be enabled.
`boolean` `isStarted()` Indicates if the service is started.
`boolean` `isStopped()` Indicates if the service is stopped.
`void` `setContext(Context context)` Sets the context.
`void` `setEnabled(boolean enabled)` Indicates if the service should be enabled.
`void` `start()` Starts the Restlet.
`void` `stop()` Stops the Restlet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Service

    public Service()

Constructor. Enables the service by default.

#### Service

    public Service(boolean enabled)

Constructor.

Parameters:
  `enabled` - True if the service has been enabled.

### Method Detail

#### createInboundFilter

    public Filter createInboundFilter(Context context)

Create the filter that should be invoked for incoming calls.

Parameters:
  `context` - The current context.
Returns:
  The new filter or null.

#### createOutboundFilter

    public Filter createOutboundFilter(Context context)

Create the filter that should be invoked for outgoing calls.

Parameters:
  `context` - The current context.
Returns:
  The new filter or null.
See Also:
  `Context.getClientDispatcher()`

#### getContext

    public Context getContext()

Returns the context.

Returns:
  The context.

#### isEnabled

    public boolean isEnabled()

Indicates if the service should be enabled.

Returns:
  True if the service should be enabled.

#### isStarted

    public boolean isStarted()

Indicates if the service is started.

Returns:
  True if the service is started.

#### isStopped

    public boolean isStopped()

Indicates if the service is stopped.

Returns:
  True if the service is stopped.

#### setContext

    public void setContext(Context context)

Sets the context.

Parameters:
  `context` - The context.

#### setEnabled

    public void setEnabled(boolean enabled)

Indicates if the service should be enabled.

Parameters:
  `enabled` - True if the service should be enabled.

#### start

    public void start()
               throws java.lang.Exception

Starts the Restlet.

Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Stops the Restlet.

Throws:
  `java.lang.Exception`